︠e1b0a3e4-131d-48f0-9ad1-3c67a3f2a3a8︠
#generating lower boind conjectures for being squarefree
#(sufficent comdition conjectures for being squarefree)
load("conjecturing.py")

def is_perfect(n):
    return sigma(n) == 2*n

objects = [2,6,8,47,1000]
properties = [is_prime,is_prime_power,is_perfect,is_squarefree,is_triangular_number,is_odd,is_even]
propertyBasedConjecture(objects,properties,properties.index(is_squarefree))
︡6c6d6095-62b9-488f-af42-59b810a1f790︡{"stdout":"[(is_prime)->(is_squarefree), (is_perfect)->(is_squarefree)]\n"}︡{"done":true}︡
︠8b83ccd5-3e0a-4756-95d6-3d01df18f8afs︠
#28 is a CE to the 2nd conjecture, 28 to our objects
load("conjecturing.py")

def is_perfect(n):
    return sigma(n) == 2*n

objects = [2,6,8,47,1000,28]
properties = [is_prime,is_prime_power,is_perfect,is_squarefree,is_triangular_number,is_odd,is_even]
propertyBasedConjecture(objects,properties,properties.index(is_squarefree))
︡967dbc42-1441-4125-be19-d1ea5fb5a22f︡{"stdout":"[(is_prime)->(is_squarefree)]"}︡{"stdout":"\n"}︡{"done":true}︡
︠40b79880-1e4f-404c-ba0c-66fe6d25178ds︠
#want necessary condition conjectures, add parament "suffient = False"
load("conjecturing.py")

def is_perfect(n):
    return sigma(n) == 2*n

objects = [2,6,8,47,1000]
properties = [is_prime,is_prime_power,is_perfect,is_squarefree,is_triangular_number,is_odd,is_even]
propertyBasedConjecture(objects,properties,properties.index(is_squarefree), sufficient = False)
︡f4c9d384-e286-4d3b-9f6f-8c96758cbe52︡{"stdout":"[(is_squarefree)->((is_perfect)|(is_prime))]"}︡{"stdout":"\n"}︡{"done":true}︡
︠1d18ccaa-3028-4374-bbd5-05fdc9d87586s︠
pete = graphs.PetersenGraph()
︡f0ba3763-a9b8-4abd-aeac-10c54d2ed206︡{"done":true}︡
︠810c3bf2-db9c-48da-b741-e1bf5a242f95s︠
pete.show()
︡9d5f9859-2035-4c64-8506-fcc9cfa62cc3︡{"file":{"filename":"/projects/de7f7a97-3fb3-40ae-af3c-aa8d25cee479/.sage/temp/compute8-us/1114/tmp_dHxWHY.svg","show":true,"text":null,"uuid":"1d3ac334-10f1-499c-b2a8-eb8ba605a0aa"},"once":false}︡{"done":true}︡
︠21aff52a-41fb-4820-ab5a-6092edcd272cs︠
pete.is_hamiltonian()
︡0f88fe4a-fd62-49fa-8bb3-2cdfdfba23fc︡{"stdout":"False\n"}︡{"done":true}︡
︠6756e800-bf3c-4884-9d04-8874fbeb3ac7s︠
load("conjecturing.py")

k3 = graphs.CompleteGraph(3)
k4 = graphs.CompleteGraph(4)
k5 = graphs.CompleteGraph(5)
p3 = graphs.PathGraph(3)

def max_degree(g):
    return max(g.degree())

def min_degree(g):
    return min(g.degree())

def is_dirac(g):
    n = g.order()
    return min_degree(g) >= n/2

objects = [k3, k4, k5, p3]
properties = [Graph.is_hamiltonian, max_degree, min_degree, is_dirac, Graph.is_tree, Graph.is_planar, Graph.is_connected]
propertyBasedConjecture(objects, properties, properties.index(Graph.is_hamiltonian))
︡bec0bba6-fda4-46a6-95df-67758f36c056︡{"stdout":"[(is_dirac)->(is_hamiltonian)]\n"}︡{"done":true}︡
︠df95ea31-38bf-44c5-ae47-4b9535823879s︠
load("conjecturing.py")

k3 = graphs.CompleteGraph(3)
k4 = graphs.CompleteGraph(4)
k5 = graphs.CompleteGraph(5)
p3 = graphs.PathGraph(3)

def max_degree(g):
    return max(g.degree())

def min_degree(g):
    return min(g.degree())

def is_dirac(g):
    n = g.order()
    return min_degree(g) >= n/2

objects = [k3, k4, k5, p3]
properties = [Graph.is_hamiltonian, max_degree, min_degree, is_dirac, Graph.is_tree, Graph.is_planar, Graph.is_connected]
propertyBasedConjecture(objects, properties, properties.index(Graph.is_hamiltonian), sufficient = False)
︡6d95ced5-4e30-4db6-9cc3-b980f5d1b15d︡{"stdout":"[(is_hamiltonian)->(is_dirac)]"}︡{"stdout":"\n"}︡{"done":true}︡
︠8287a556-990a-4ef3-a332-5ef21835ead0s︠
c5 = graphs.CycleGraph(5)
c5.show()
︡303bcff3-1f11-4827-8f4a-7e988c5d178a︡{"file":{"filename":"/projects/de7f7a97-3fb3-40ae-af3c-aa8d25cee479/.sage/temp/compute8-us/18947/tmp_7BzqjV.svg","show":true,"text":null,"uuid":"2aacb3f8-c10f-4f67-82e1-5af9915f4042"},"once":false}︡{"done":true}︡
︠4e7b4288-eb83-4922-8b70-f752af55a4afs︠
#C5, the cycle on 5 vertics, is a CE to the last conjecture
#C5 is hamiltonian, min_degree = 2, order = 5 (not dirac!)

load("conjecturing.py")

k3 = graphs.CompleteGraph(3)
k4 = graphs.CompleteGraph(4)
k5 = graphs.CompleteGraph(5)
p3 = graphs.PathGraph(3)
c5 = graphs.CycleGraph(5)

def max_degree(g):
    return max(g.degree())

def min_degree(g):
    return min(g.degree())

def is_dirac(g):
    n = g.order()
    return min_degree(g) >= n/2

objects = [k3, k4, k5, p3, c5]
properties = [Graph.is_hamiltonian, is_dirac, Graph.is_tree, Graph.is_planar, Graph.is_connected]
propertyBasedConjecture(objects, properties, properties.index(Graph.is_hamiltonian), sufficient = False)
︡96b85923-d22e-4752-b8c9-6d171f27f6cc︡{"stdout":"[(is_hamiltonian)->(~(is_tree))]"}︡{"stdout":"\n"}︡{"done":true}︡
︠c9af8db9-bcb9-4594-a220-e7a101482674s︠
L= [3,4,5]
mean(L)
︡ca7586e2-e91c-4e43-a453-a3d195d3fd6a︡{"stdout":"4\n"}︡{"done":true}︡
︠bccc53a0-e324-4a3b-b734-f7253bf6a0bbs︠
mean(c5.degree())
︡d2386280-164e-4f06-aee1-6cd9677d7d48︡{"stdout":"2\n"}︡{"done":true}︡
︠c0a8b768-6483-4256-ae1f-6b224c946487︠









